| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Properties | Private Attributes

# IG::Lib::LogRecord Class Reference

Single record for temporary logging. More...

List of all members.

## Public Member Functions
| LogRecord (ReportType messagetype, string location, string message, Exception ex)
| LogRecord (ReportType messagetype, string message, Exception ex)
| Launches a report. Predominantly for error and warning reports.
| LogRecord (ReportType messagetype, Exception ex, string location)
| Launches a report. Predominantly for error and warning reports.
| LogRecord (ReportType messagetype, Exception ex)
| Launches a report. Predominantly for error and warning reports.
| LogRecord (ReportType messagetype, string location, string message)
| Launches a report.
| LogRecord (ReportType messagetype, string message)
| Launches a report.
LogRecord | Create (ReportType messagetype, string location, string message, Exception ex)
| Creates and returns a log record initialized according to parameters.
LogRecord | Create (ReportType messagetype, string message, Exception ex)
| Creates and returns a log record initialized according to parameters.
LogRecord | Create (ReportType messagetype, Exception ex, string location)
| Creates and returns a log record initialized according to parameters.
LogRecord | Create (ReportType messagetype, Exception ex)
| Creates and returns a log record initialized according to parameters.
LogRecord | Create (ReportType messagetype, string location, string message)
| Creates and returns a log record initialized according to parameters.
LogRecord | Create (ReportType messagetype, string message)
| Creates and returns a log record initialized according to parameters.
LogRecord | CreateError (string location, string message, Exception ex)
| Creates and returns an error log record initialized according to parameters.
LogRecord | CreateError (string message, Exception ex)
| Creates and returns an error log record initialized according to parameters.
LogRecord | CreateError (Exception ex, string location)
| Creates and returns an error log record initialized according to parameters.
LogRecord | CreateError (Exception ex)
| Creates and returns an error log record initialized according to parameters.
LogRecord | CreateError (string location, string message)
| Creates and returns an error log record initialized according to parameters.
LogRecord | CreateError (string message)
| Creates and returns an error log record initialized according to parameters.
LogRecord | CreateWarning (string location, string message, Exception ex)
| Creates and returns a warning log record initialized according to parameters.
LogRecord | CreateWarning (string message, Exception ex)
| Creates and returns a warning log record initialized according to parameters.
LogRecord | CreateWarning (Exception ex, string location)
| Creates and returns a warning log record initialized according to parameters.
LogRecord | CreateWarning (Exception ex)
| Creates and returns a warning log record initialized according to parameters.
LogRecord | CreateWarning (string location, string message)
| Creates and returns a warning log record initialized according to parameters.
LogRecord | CreateWarning (string message)
| Creates and returns a warning log record initialized according to parameters.
LogRecord | CreateInfo (string location, string message)
| Creates and returns an info log record initialized according to parameters.
LogRecord | CreateInfo (string message)
| Creates and returns an info log record initialized according to parameters.
## Static Public Attributes
static bool | LogToConsole = false
| If true then every creation of a new LogRecord is logged to console.
## Properties
ReportType | Type`[get, set]`
| Type of the logged message.
string | Location`[get, set]`
| Location where message cause occurred.
string | Message`[get, set]`
| Message string.
Exception | Ex`[get, set]`
| Eventual exception that caused the message to be logged.
## Private Attributes
ReportType | _type = ReportType.Info
string | _location = null
string | _message = null
Exception | _ex = null

## Detailed Description

Single record for temporary logging.

$A Igor Jun10;

## Constructor & Destructor Documentation

IG::Lib::LogRecord::LogRecord | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline]`

IG::Lib::LogRecord::LogRecord | ( | ReportType | messagetype,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Launches a report. Predominantly for error and warning reports.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

IG::Lib::LogRecord::LogRecord | ( | ReportType | messagetype,
|  | Exception | ex,
|  | string | location
| ) |  | `[inline]`

Launches a report. Predominantly for error and warning reports.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

IG::Lib::LogRecord::LogRecord | ( | ReportType | messagetype,
|  | Exception | ex
| ) |  | `[inline]`

Launches a report. Predominantly for error and warning reports.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

IG::Lib::LogRecord::LogRecord | ( | ReportType | messagetype,
|  | string | location,
|  | string | message
| ) |  | `[inline]`

Launches a report.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

IG::Lib::LogRecord::LogRecord | ( | ReportType | messagetype,
|  | string | message
| ) |  | `[inline]`

Launches a report.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  message | User provided message included in the report.

## Member Function Documentation

LogRecord IG::Lib::LogRecord::Create | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Creates and returns a log record initialized according to parameters.

Parameters:

  messagetype | Type of the logged record.
  location | Description of location where logging occurred.
  message | Message (or additional explanation) to be logged.
  ex | Exception that caused creation of log record.

LogRecord IG::Lib::LogRecord::Create | ( | ReportType | messagetype,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Creates and returns a log record initialized according to parameters.

Parameters:

  messagetype | Type of the logged record.
  message | Message (or additional explanation) to be logged.
  ex | Exception that caused creation of log record.

LogRecord IG::Lib::LogRecord::Create | ( | ReportType | messagetype,
|  | Exception | ex,
|  | string | location
| ) |  | `[inline]`

Creates and returns a log record initialized according to parameters.

Parameters:

  messagetype | Type of the logged record.
  ex | Exception that caused creation of log record.
  location | Description of location where logging occurred.

LogRecord IG::Lib::LogRecord::Create | ( | ReportType | messagetype,
|  | Exception | ex
| ) |  | `[inline]`

Creates and returns a log record initialized according to parameters.

Parameters:

  messagetype | Type of the logged record.
  ex | Exception that caused creation of log record.

LogRecord IG::Lib::LogRecord::Create | ( | ReportType | messagetype,
|  | string | location,
|  | string | message
| ) |  | `[inline]`

Creates and returns a log record initialized according to parameters.

Parameters:

  messagetype | Type of the logged record.
  location | Description of location where logging occurred.
  message | Message (or additional explanation) to be logged.

LogRecord IG::Lib::LogRecord::Create | ( | ReportType | messagetype,
|  | string | message
| ) |  | `[inline]`

Creates and returns a log record initialized according to parameters.

Parameters:

  messagetype | Type of the logged record.
  message | Message (or additional explanation) to be logged.

LogRecord IG::Lib::LogRecord::CreateError | ( | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Creates and returns an error log record initialized according to parameters.

Parameters:

  location | Description of location where logging occurred.
  message | Message (or additional explanation) to be logged.
  ex | Exception that caused creation of log record.

LogRecord IG::Lib::LogRecord::CreateError | ( | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Creates and returns an error log record initialized according to parameters.

Parameters:

  message | Message (or additional explanation) to be logged.
  ex | Exception that caused creation of log record.

LogRecord IG::Lib::LogRecord::CreateError | ( | Exception | ex,
|  | string | location
| ) |  | `[inline]`

Creates and returns an error log record initialized according to parameters.

Parameters:

  ex | Exception that caused creation of log record.
  location | Description of location where logging occurred.

LogRecord IG::Lib::LogRecord::CreateError | ( | Exception | ex | ) | `[inline]`

Creates and returns an error log record initialized according to parameters.

Parameters:

  ex | Exception that caused creation of log record.

LogRecord IG::Lib::LogRecord::CreateError | ( | string | location,
|  | string | message
| ) |  | `[inline]`

Creates and returns an error log record initialized according to parameters.

Parameters:

  location | Description of location where logging occurred.
  message | Message (or additional explanation) to be logged.

LogRecord IG::Lib::LogRecord::CreateError | ( | string | message | ) | `[inline]`

Creates and returns an error log record initialized according to parameters.

Parameters:

  message | Message (or additional explanation) to be logged.

LogRecord IG::Lib::LogRecord::CreateWarning | ( | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Creates and returns a warning log record initialized according to parameters.

Parameters:

  location | Description of location where logging occurred.
  message | Message (or additional explanation) to be logged.
  ex | Exception that caused creation of log record.

LogRecord IG::Lib::LogRecord::CreateWarning | ( | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Creates and returns a warning log record initialized according to parameters.

Parameters:

  message | Message (or additional explanation) to be logged.
  ex | Exception that caused creation of log record.

LogRecord IG::Lib::LogRecord::CreateWarning | ( | Exception | ex,
|  | string | location
| ) |  | `[inline]`

Creates and returns a warning log record initialized according to parameters.

Parameters:

  ex | Exception that caused creation of log record.
  location | Description of location where logging occurred.

LogRecord IG::Lib::LogRecord::CreateWarning | ( | Exception | ex | ) | `[inline]`

Creates and returns a warning log record initialized according to parameters.

Parameters:

  ex | Exception that caused creation of log record.

LogRecord IG::Lib::LogRecord::CreateWarning | ( | string | location,
|  | string | message
| ) |  | `[inline]`

Creates and returns a warning log record initialized according to parameters.

Parameters:

  location | Description of location where logging occurred.
  message | Message (or additional explanation) to be logged.

LogRecord IG::Lib::LogRecord::CreateWarning | ( | string | message | ) | `[inline]`

Creates and returns a warning log record initialized according to parameters.

Parameters:

  message | Message (or additional explanation) to be logged.

LogRecord IG::Lib::LogRecord::CreateInfo | ( | string | location,
|  | string | message
| ) |  | `[inline]`

Creates and returns an info log record initialized according to parameters.

Parameters:

  location | Description of location where logging occurred.
  message | Message (or additional explanation) to be logged.

LogRecord IG::Lib::LogRecord::CreateInfo | ( | string | message | ) | `[inline]`

Creates and returns an info log record initialized according to parameters.

Parameters:

  message | Message (or additional explanation) to be logged.

## Member Data Documentation

bool IG::Lib::LogRecord::LogToConsole = false`[static]`

If true then every creation of a new LogRecord is logged to console.

ReportType IG::Lib::LogRecord::_type = ReportType.Info`[private]`

string IG::Lib::LogRecord::_location = null`[private]`

string IG::Lib::LogRecord::_message = null`[private]`

Exception IG::Lib::LogRecord::_ex = null`[private]`

## Property Documentation

ReportType IG::Lib::LogRecord::Type`[get, set]`

Type of the logged message.

string IG::Lib::LogRecord::Location`[get, set]`

Location where message cause occurred.

string IG::Lib::LogRecord::Message`[get, set]`

Message string.

Exception IG::Lib::LogRecord::Ex`[get, set]`

Eventual exception that caused the message to be logged.

The documentation for this class was generated from the following file:

- LoggerMsg.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events